com.collabnet.ce.soap60.webservices.discussion

## Class TopicSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
    - - com.collabnet.ce.soap60.webservices.discussion.TopicSoapDO

-     public class TopicSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  Represents a discussion topic.
  Change History
  Release: 4.1
  - No changes.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopicSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLastPostBy()` Returns 'lastPostBy'.
    `Date` | `getLastPostDate()` Returns 'lastPostDate'.
    `String` | `getStatus()` Returns 'status'.
    `int` | `getViewCount()` Returns 'viewCount'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setLastPostBy(String lastPostBy)` Sets 'lastPostBy'.
    `void` | `setLastPostDate(Date lastPostDate)` Sets 'lastPostDate'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setViewCount(int viewCount)` Sets 'viewCount'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

      `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopicSoapDO

          public TopicSoapDO()

  - ### Method Detail

    - #### getViewCount

          public int getViewCount()

      Returns 'viewCount'. Number of posts on this topic.
      Returns:
        Value of 'viewCount'.

    - #### setViewCount

          public void setViewCount(int viewCount)

      Sets 'viewCount'. Number of posts on this topic.
      Parameters:
        `viewCount` - Value of 'viewCount'.

    - #### getLastPostBy

          public String getLastPostBy()

      Returns 'lastPostBy'. User who made the last post on this topic.
      Returns:
        Value of 'lastPostBy'.

    - #### setLastPostBy

          public void setLastPostBy(String lastPostBy)

      Sets 'lastPostBy'. User who made the last post on this topic.
      Parameters:
        `lastPostBy` - Value of 'lastPostBy'.

    - #### getLastPostDate

          public Date getLastPostDate()

      Returns 'lastPostDate'. Date when a post was last made on this topic
      Returns:
        Value of 'lastPostDate'.

    - #### setLastPostDate

          public void setLastPostDate(Date lastPostDate)

      Sets 'lastPostDate'. Date when a post was last made on this topic
      Parameters:
        `lastPostDate` - Value of 'lastPostDate'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. Consolidated status of the posts contained in the Topic. 'A' indicates all posts are approved and 'W' indicates topic contains one or more pending posts.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. Consolidated status of the posts contained in the Topic. 'A' indicates all posts are approved and 'W' indicates topic contains one or more pending posts.
      Parameters:
        `status` - Value of 'status'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.